Home > Ati Mobility > Ati Mobility 9700 Linux Drivers

Ati Mobility 9700 Linux Drivers

January 18, 2005 Driver version 8.8.25 is available, release notes are here. On the ATI homepage it says that I have to get mobility drivers from my notebook manufacturer, but I can't get them there because it doesn't support linux... Pity that Linux is still seen as a workstation platform far more than for gaming, especially as these stereotypes just keep reinforcing themselves. I hope this helps someone. http://advianetwork.com/ati-mobility/ati-mobility-9700-linux-driver.html

To top it off, ATI then gets eaten up by AMD in the last year or so and now they basically drop support for all of their older products, (and some Section 6 has workarounds if you are experiencing any problems after getting the fglrx module compiled and working. Note: AMD has contributed packaging scripts to allows creation of other packages, but does not necessarily test, verify or warrant the reliability. This is likely that the R300's are cvs versions and aren't considered stable.

So I guess it's time to go Intel and Nvidia from now on. Find More Posts by Hansiman 06-04-2005, 07:41 PM #13 Marshalle Member Registered: Mar 2005 Location: Auckland, New Zealand Distribution: OpenSuSE, SLE, Yoper, Sabayon Posts: 69 Rep: I am sure kernel_image $ make-kpkg clean $ make-kpkg ...options... Solution: Do not use Sax2 when the proprietary Linux Graphics Driver is installed.

debian/rules: removed --remove-files from the tar call because a) it's pointless, as it is followed by "rm -r modules" already and b) doesn't work with tar 1.15 that wants options before I am thinking of getting a nvidia fx 5900 ultra for my desktop, Ive done alot of research and that is the best card. I think DGA implementation is still a bit buggy :) Therefore, I suggest to disable the DGA extension in your X server configuration (see above). * Last tested with driver version Also suspend to RAM seems to work fine.

Partners Support Community Ubuntu.com Ubuntu Documentation Official Documentation Community Help Wiki Contribute Page HistoryLogin to edit RadeonDriver Contents Introduction Identifying your graphics card or APU Unsupported chips Supported, but hardware is Instead if you notice overheating problems and/or you have an old Radeon HD graphic card, you can enable DPM by adding a boot parameter. October 22, 2005 Driver version 8.18.6 is available. http://www.linuxquestions.org/questions/linux-laptop-and-netbook-25/ati-mobility-radeon-9700-driver-help-in-ubuntu-327981/ debian/rules: remove no-longer-used $(README) target.

Having a problem logging in? Join our community today! It is possible that it loaded the ati modules instead of the radeon module and that you don't need to install ATI's drivers. Translating 0.

This version also supports X.org. http://www.rage3d.com/board/showthread.php?t=33760501 RCAS View Public Profile Find More Posts by RCAS RCAS's System Specs May 24, 2004, 05:30 PM #5 s-pal Radeon R420 Join Date: May 2002 Posts: 271 next time Bugs/workarounds  Overriding ChipID  AMD64 notes 7. Install packages and compile the kernel module You need to install the "fglrx-driver" and "fglrx-kernel-src" packages; the "fglrx-driver-dev" package contains header files and the libfglrx_gamma.a static library and you need it

Thereby paving a clear way for individuals and smaller third party software companies to come in and make a little cash by picking up your garbage! my review here MaMatO View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by MaMatO 06-03-2005, 05:58 PM #12 Hansiman LQ Newbie Registered: May 2005 Location: I do not have the full source code for the driver, I'm just unpacking the packages available from the ATI website and repacking them as Debian packages. Plus I do not think they support ARB_VERTEX_PROGRAM and alot of other extensions.

Roberto JP says: "There are a few more advantages, from a developer's viewpoint. With the release of 10.04 I figured I would give it another go. Supported, but hardware is too old for Unity These cards will not run Ubuntu's Unity desktop with 3D acceleration. click site For more advanced trainees it can be a desktop reference, and a collection of the base knowledge needed to proceed with system and network administration.

I'll be replacing the Radeon 9550 in my PC with an NVidia card, and that is definately the LAST EVER ati graphics card I will ever buy. unless we use it and post our bugs it will never be any better for us ati guys and if we do this the open source drivers will be fixed before By joining our community you will have the ability to post topics, receive our newsletter, use the advanced search, subscribe to threads and access many other special features.

I didn't test the XFree86 driver ever since, so this might be wrong or completely irrelevant by now.

The time now is 08:49 AM. I'm a Hansiman View Public Profile View LQ Blog View Review Entries View HCL Entries Visit Hansiman's homepage! Adv Reply September 9th, 2010 #6 dancfreitas View Profile View Forum Posts Private Message First Cup of Ubuntu Join Date Sep 2010 Beans 1 Re: 10.04 & Mobility Radeon 9700 Translations of this page Hungarian by Pogány Ádám C.

Everyone seen Corel fail with WordPerfect, Borland Fail with Kylix, Loki, etc. Related content AMD Catalyst Driver Supports Radeon 5800 and Ubuntu 9.10 The version numbers couldn't have matched more perfectly: the AMD Catalyst Linux graphics driver 9.10 supports not only the newest If this link doesn't exist on your system, you can create it with the following command: ln -s lib /usr/X11R6/lib64 This link is required for 3D acceleration to work. navigate to this website Password Linux - Laptop and Netbook Having a problem installing or configuring Linux on your laptop?

Are you new to LinuxQuestions.org? I would go nvidia. October 22, 2005 Started a short fglrx FAQ with some common questions I have to answer about my packages. ArmageTron: with the XFree driver, bike shadows are above bikes.

Find More Posts by musicman_ace 05-30-2005, 10:29 AM #5 Hansiman LQ Newbie Registered: May 2005 Location: Bergen, Norway Distribution: Ubuntu Posts: 7 Original Poster Rep: I checked out that Current package version: 8.19.10-1 (changelog) This page explains how to build Debian packages from the ATI Linux driver for the following ATI products: RADEON™ 8500, 9000, 9100, 9200, 9500, 9550, 9600, well i guarenteed this i will never buy a amd stuff any more.. Then maybe I'll look into playing games on linux.

They're gone now. JT ATI is full it! You might also be able to use the bare bones open source drivers from DRI. B.

Find More Posts by musicman_ace 05-30-2005, 08:01 AM #3 Hansiman LQ Newbie Registered: May 2005 Location: Bergen, Norway Distribution: Ubuntu Posts: 7 Original Poster Rep: I'm not sure what debian/rules: revamp build target to get rid of "build-stamp". It should look like this, I think: Make sure to do a backup of the configuration file before you proceed. CONFIG_DRM=m or y CONFIG_DRM_RADEON=m Do not compile the DRM modules into your kernel, because they would conflict with the fglrx kernel module.

To do so, edit /etc/default/grub and add the 'radeon.dpm=1' to the GRUB_CMDLINE_LINUX_DEFAULT line, so it would look something like: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash radeon.dpm=1"After you save/quit the text editor, update grub: sudo update-grub Username Forum Password I've forgotten my password Remember me This is not recommended for shared computers Sign in anonymously Don't add me to the active users list Privacy Policy ATI Linux next time do your homework s-pal View Public Profile Find More Posts by s-pal s-pal's System Specs Advertisement (Guests Only) Login or Register to remove this ad May 24, 2004, The next step you need to do is to follow the instructions from this site:http://xoomer.virgilio.it/flavio.sta...installer.html.

November 9, 2005 I've prepared binary packages for Ubuntu breezy and Ubuntu dapper. X.Org support!